<mat-toolbar>
  <mat-toolbar-row>
    <span>User Location</span>
  </mat-toolbar-row>
</mat-toolbar>

<mat-card>
  <agm-map [latitude]="lat" [longitude]="lng" [zoom]="15" *ngFor="let post of posts">
  
    <agm-marker [latitude]="lat" [longitude]="lng"></agm-marker>
  
  </agm-map>
</mat-card>